Package com.independentsoft.office.spreadsheet

# Enum Class CalendarType

java.lang.Object
java.lang.Enum<CalendarType>
com.independentsoft.office.spreadsheet.CalendarType

All Implemented Interfaces:
  `Serializable`, `Comparable<CalendarType>`, `Constable`

public enum CalendarType extends Enum<CalendarType>
The Enum CalendarType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GREGORIAN`
  `GREGORIAN_ARABIC`
  `GREGORIAN_MIDDLE_EAST_FRENCH`
  `GREGORIAN_TRANSLITERATED_ENGLISH`
  `GREGORIAN_TRANSLITERATED_FRENCH`
  `GREGORIAN_US`
  `HEBREW`
  `HIJRI`
  `JAPANESE_EMPEROR_ERA`
  `KOREAN_TUNGUN_ERA`
  `NONE`
  `TAIWAN_ERA`
  `THAI`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CalendarType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GREGORIAN

    public static final CalendarType GREGORIAN

  - ### GREGORIAN_ARABIC

    public static final CalendarType GREGORIAN_ARABIC

  - ### GREGORIAN_MIDDLE_EAST_FRENCH

    public static final CalendarType GREGORIAN_MIDDLE_EAST_FRENCH

  - ### GREGORIAN_US

    public static final CalendarType GREGORIAN_US

  - ### GREGORIAN_TRANSLITERATED_ENGLISH

    public static final CalendarType GREGORIAN_TRANSLITERATED_ENGLISH

  - ### GREGORIAN_TRANSLITERATED_FRENCH

    public static final CalendarType GREGORIAN_TRANSLITERATED_FRENCH

  - ### HEBREW

    public static final CalendarType HEBREW

  - ### HIJRI

    public static final CalendarType HIJRI

  - ### JAPANESE_EMPEROR_ERA

    public static final CalendarType JAPANESE_EMPEROR_ERA

  - ### KOREAN_TUNGUN_ERA

    public static final CalendarType KOREAN_TUNGUN_ERA

  - ### TAIWAN_ERA

    public static final CalendarType TAIWAN_ERA

  - ### THAI

    public static final CalendarType THAI

  - ### NONE

    public static final CalendarType NONE

- ## Method Details

  - ### values

    public static CalendarType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CalendarType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null